﻿Imports ThinkGeo.MapSuite.Core
Imports ThinkGeo.MapSuite.WpfDesktopEdition

Public Class fMain

  Private Map As WpfMap

  Private Sub fMain_Load(sender As Object, e As EventArgs) Handles Me.Load

    Map = Me.CtlWPFMap1.WpfMap1

    ' Set the full extent and the background color
    Map.MapUnit = GeographyUnit.Meter
    Map.CurrentExtent = New RectangleShape(-13939426.6371, 6701997.4056, -7812401.86, 2626987.386962)

    Dim googleMapLayer As New GoogleMapsLayer()
    Dim layeroverlay As New LayerOverlay()
    layeroverlay.TileType = TileType.MultipleTile
    layeroverlay.Layers.Add(googleMapLayer)
    Map.Overlays.Add(layeroverlay)

    Dim oProjection As ManagedProj4Projection = New ManagedProj4Projection()
    oProjection.InternalProjectionParametersString = ManagedProj4Projection.GetEpsgParametersString(4326)
    oProjection.ExternalProjectionParametersString = ManagedProj4Projection.GetBingMapParametersString
    oProjection.Open()

    Dim osmLayer As New OpenStreetMapLayer
    osmLayer.Open()

    Dim oShapFileLayer = New ShapeFileFeatureLayer(System.IO.Path.Combine(System.Environment.CurrentDirectory, "Map\Countries02.shp"))
    oShapFileLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.CreateSimpleAreaStyle(Nothing, ThinkGeo.MapSuite.Core.GeoColor.StandardColors.Gray)
    oShapFileLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20
    oShapFileLayer.FeatureSource.Projection = oProjection
    oShapFileLayer.Open()

    Dim miniMapLayer As New cNettroMiniMapLayer()
    miniMapLayer.Location = AdornmentLocation.LowerLeft
    miniMapLayer.Layers.Add(New BackgroundLayer(Map.BackgroundOverlay.BackgroundBrush))
    miniMapLayer.Layers.Add(osmLayer)
    miniMapLayer.Layers.Add(oShapFileLayer)

    Map.AdornmentOverlay.Layers.Add(miniMapLayer)
    Map.Refresh()

  End Sub

End Class
